JmmDNS.Factory
Date: 2017-02-10

javax.jmdns

## Class JmmDNS.Factory

- java.lang.Object
- - javax.jmdns.JmmDNS.Factory

- Enclosing interface:
    JmmDNS

      public static final class JmmDNS.Factory
      extends java.lang.Object

  JmmDNS.Factory enable the creation of new instance of JmmDNS.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `JmmDNS.Factory.ClassDelegate` This interface defines a delegate to the EOClassDescriptionRegister class to enable subclassing.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JmmDNS.Factory.ClassDelegate` | `classDelegate()` Returns JmmDNS's class delegate.
    `static JmmDNS` | `getInstance()` Return the instance of the Multihommed Multicast DNS.
    `protected static JmmDNS` | `newJmmDNS()` Returns a new instance of JmmDNS using the class delegate if it exists.
    `static void` | `setClassDelegate(JmmDNS.Factory.ClassDelegate delegate)` Assigns `delegate` as JmmDNS's class delegate.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setClassDelegate

          public static void setClassDelegate(JmmDNS.Factory.ClassDelegate delegate)

      Assigns `delegate` as JmmDNS's class delegate. The class delegate is optional.
      Parameters:
        `delegate` - The object to set as JmmDNS's class delegate.
      See Also:
        `classDelegate()`, `JmmDNS.Factory.ClassDelegate`

    - #### classDelegate

          public static JmmDNS.Factory.ClassDelegate classDelegate()

      Returns JmmDNS's class delegate.
      Returns:
        JmmDNS's class delegate.
      See Also:
        `setClassDelegate(ClassDelegate anObject)`, `JmmDNS.Factory.ClassDelegate`

    - #### newJmmDNS

          protected static JmmDNS newJmmDNS()

      Returns a new instance of JmmDNS using the class delegate if it exists.
      Returns:
        new instance of JmmDNS

    - #### getInstance

          public static JmmDNS getInstance()

      Return the instance of the Multihommed Multicast DNS.
      Returns:
        the JmmDNS